Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.impl
Class ContextContainerImpl

    java.lang.Object
      org.jbpm.process.core.impl.ContextContainerImpl

All Implemented Interfaces:
  Serializable, ContextContainer

    public class ContextContainerImpl

extends Object
implements Serializable, ContextContainer

See Also:
  Serialized Form

Constructor Summary
`ContextContainerImpl()`

Method Summary
`void` | `addContext(Context context)`
`Context` | `getContext(String contextType, long id)`
`List<Context>` | `getContexts(String contextType)`
`Context` | `getDefaultContext(String contextType)`
`void` | `setDefaultContext(Context context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextContainerImpl

    public ContextContainerImpl()

Method Detail

### getContexts

    public List<Context> getContexts(String contextType)

  Specified by:
    `getContexts` in interface `ContextContainer`

### addContext

    public void addContext(Context context)

  Specified by:
    `addContext` in interface `ContextContainer`

### getContext

    public Context getContext(String contextType,
                              long id)

  Specified by:
    `getContext` in interface `ContextContainer`

### setDefaultContext

    public void setDefaultContext(Context context)

  Specified by:
    `setDefaultContext` in interface `ContextContainer`

### getDefaultContext

    public Context getDefaultContext(String contextType)

  Specified by:
    `getDefaultContext` in interface `ContextContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.